Subject: Re: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jul 2024 09:05:24 +0300

> From: Ankit Gadiya <[email-masked]>
> Date: Thu, 11 Jul 2024 13:03:32 +0530
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > I only have a few comments about the commit message:
> >
> > Three new commands are added in the go-ts-mode to run unit tests.
> > I would just drop this line altogether, personally.
> >
> > (go-ts-mode-map): New map variable.
> > This should probably read something like Add new bindings.
> >
> > (go-ts-mode-test-file): New function.
> > (go-ts-mode-test-package): New function.
> > These two need to be updated (...-test-this-...).
> 
> Thanks, I'm sending the updated patch with these fixes.
> 
> > Everything else looks good to me. Thanks for working on this, Ankit.
> >
> > Eli, if you have no further comments please install when you get a chance. Thanks in advance.
> 
> Thank you for being patient through this review. After this interaction, I feel
> encouraged to send more patches in the future.

Now installed on the master branch, and closing the bug.

Thanks.